//+------------------------------------------------------------------+
//|                                                  2_ema_close.mq4 |
//|                                Copyright  2010, Igor Chemodanov |
//|                                                     icas@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Igor Chemodanov"
#property link      "icas@mail.ru"

#property indicator_chart_window    // .    
#property indicator_buffers 2       //  
#property indicator_color1 DarkOrange
#property indicator_color2 DeepSkyBlue

double B0[], B1[];
extern int  MAPeriod1 = 4;
extern int  MAPeriod2 = 13;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
IndicatorDigits (Digits+2);

SetIndexBuffer(0,B0);         //   
SetIndexStyle (0,DRAW_LINE,STYLE_SOLID,1);
string ind="EMA"+DoubleToStr(MAPeriod1, 0);
SetIndexLabel(0, ind);

SetIndexBuffer(1,B1);         //   
SetIndexStyle (1,DRAW_LINE,STYLE_SOLID,1);//  
ind="EMA"+DoubleToStr(MAPeriod2, 0);
SetIndexLabel(1, ind);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----

   if(Bars<=MAPeriod2) return(0);
   int ExtCountedBars=IndicatorCounted();
//---- check for possible errors
   if (ExtCountedBars<0) return(-1);
//---- last counted bar will be recounted
   if (ExtCountedBars>0) ExtCountedBars--;
   int pos=Bars-ExtCountedBars-1;
   
//----  
   while(pos>=0)
     {
      B0[pos] = iMA(NULL, 0, MAPeriod1, 0, MODE_EMA, PRICE_CLOSE, pos);
      B1[pos] = iMA(NULL, 0, MAPeriod2, 0, MODE_EMA, PRICE_CLOSE, pos);
      if (B0[0]>B1[0] && B0[1]<B1[1])
       {
        Alert ("  "); PlaySound("alert.wav");
       }
      if (B0[0]<B1[0] && B0[1]>B1[1])
       {
        Alert ("  "); PlaySound("alert2.wav");
       }
 	   pos--;
     }
//----

//----

   return(0);
  }
//+------------------------------------------------------------------+